%define api       5
%define major     1
%define libname   %mklibname musicbrainz %api %{major}
%define develname %mklibname musicbrainz %api -d

Name:		libmusicbrainz5
Version:	5.1.0
Release:	%mkrel 11
Summary:	A software library for accessing MusicBrainz servers
Group:		Sound/Utilities
License:	LGPLv2+
URL:		https://musicbrainz.org/doc/libmusicbrainz
Source0:	https://github.com/metabrainz/libmusicbrainz/archive/release-%{version}.tar.gz
Patch1:		0001-Don-t-emit-errors-unless-compiled-for-debug.patch
Patch2:		0002-libxml2-2-12.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(neon)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accessing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%autosetup -p1 -n libmusicbrainz-release-%{version}

%build
%cmake -B .
%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS.txt NEWS.txt
%license COPYING.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}{,.*}

%files -n %develname
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc


%changelog
* Sun Mar 16 2025 wally <wally> 5.1.0-11.mga10
+ Revision: 2164908
- rebuild for libxml2 2.13.6

* Wed Oct 02 2024 daviddavid <daviddavid> 5.1.0-10.mga10
+ Revision: 2102751
- backport upstream patch to fix build with libxml2 2.12

* Sat Mar 19 2022 umeabot <umeabot> 5.1.0-9.mga9
+ Revision: 1800008
- Mageia 9 Mass Rebuild

* Thu Mar 19 2020 pterjan <pterjan> 5.1.0-8.mga8
+ Revision: 1558082
- Undo using the cmake macros, this package doesn't support building in a subdirectory

* Fri Feb 14 2020 umeabot <umeabot> 5.1.0-7.mga8
+ Revision: 1522599
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Jan 28 2019 daviddavid <daviddavid> 5.1.0-6.mga7
+ Revision: 1361673
- libmusicbrainz4 is no more needed so let's drop it

* Thu Jan 24 2019 daviddavid <daviddavid> 5.1.0-5.mga7
+ Revision: 1360417
- use proper cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 5.1.0-4.mga7
+ Revision: 1299021
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 5.1.0-3.mga6
+ Revision: 955602
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 5.1.0-2.mga6
+ Revision: 871053
- rebuild with gcc 5

* Thu Jul 02 2015 fwang <fwang> 5.1.0-1.mga6
+ Revision: 849432
- 5.1.0
+ tv <tv>
- typo fix (mga#15772)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 741396
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.0.1-4.mga5
+ Revision: 726801
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 681626
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 wally <wally> 5.0.1-2.mga5
+ Revision: 601404
- fix RPM group
- fix source tag

* Mon Jun 04 2012 fwang <fwang> 5.0.1-1.mga3
+ Revision: 253839
- imported package libmusicbrainz5

